Skip to Content
0

compiling SAP BusinessObjects Mobile for iOS gets libswiftCore.dylib not loaded error

Oct 12, 2017 at 10:30 PM

69

avatar image

I am trying to compile the SAP BusinessObjects Mobile SDK for iOS 11 using Xcode 9.

I am getting the following error:

dyld: Library not loaded: @rpath/libswiftCore.dylib

Referenced from: /Users/jwhite/Library/Developer/CoreSimulator/Devices/5772189D-EDD7-4141-813B-B0B7BFF65361/data/Containers/Bundle/Application/107C9773-29E0-4806-A274-8E6728887016/SAP BusinessObjects Mobile.app/Frameworks/MobiLumiraClient.framework/MobiLumiraClient

Reason: image not found

(lldb)

I have searched the internet for answers, found many but none of them corrected the issue.

Thoughts?

Jeff


10 |10000 characters needed characters left characters exceeded
* Please Login or Register to Answer, Follow or Comment.

2 Answers

Best Answer
avatar image
Former Member Oct 13, 2017 at 10:01 AM
0

Hello Jeff,

it works with Xcode Command Line Tools 8.3.2. Even with Xcode 9. You can Change it in the Xcode Setting/Location.

You have to change Alsways Embed Swift Standard Libraries: "YES".

regards,

Hai

Show 2 Share
10 |10000 characters needed characters left characters exceeded

Hai,

Thanks for the quick reply. I am somewhat of a newbie in Apple development so pardon the questions ...

I cannot find Setting/Location anywhere in the Xcode GUI.

Can you tell me where to look?

Jeff

0

Hai,

I finally found it in Build Settings under Build Options.

Always Embed Swift Standard Libraries is set to 'Yes'.

0
Jeff White Oct 13, 2017 at 01:51 PM
0

Hai,

Thanks for the quick reply. I am somewhat of a newbie in Apple development so pardon the questions ...

I cannot find Setting/Location anywhere in the Xcode GUI.

Can you tell me where to look?

Jeff

Share
10 |10000 characters needed characters left characters exceeded